> For the complete documentation index, see [llms.txt](https://docs.perkville.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.perkville.com/integrations/integration-reference/hubspot/syncing-perkville-leads.md).

# Syncing Perkville leads

When a referred friend claims a [referral offer](https://docs.perkville.com/features/referrals/configuring-your-referral-program/referral-offer.md), Perkville can push the referred prospect to HubSpot as a contact when a HubSpot referral-lead sync is configured.

For the overall referral-to-CRM flow and supported destination examples, see [Referral lead syncs](https://docs.perkville.com/features/referrals/referral-lead-syncs.md).

## How to set this up

Reach out to **<support@perkville.com>** to request a referral lead sync to your **HubSpot** account.

{% hint style="info" %}
A referral being created in Perkville does not automatically create a HubSpot contact. The HubSpot lead sync is a separate integration workflow and is typically triggered when the referred friend claims the referral offer.
{% endhint %}

## Mapped data

### Identity

Email is the primary identifier in both HubSpot and Perkville. Email address is used to determine if the referred lead already exists in HubSpot or not. The default behavior of Perkville's HubSpot integration is to not update existing contacts, only create new contacts.

### Properties

By default, the following properties are synced over to HubSpot for the referred lead:

* **First Name**
* **Last Name**
* **Email**
* **Phone** (if provided)

{% hint style="info" %}
You can require a phone number when a referred friend claims your [referral offer](https://docs.perkville.com/features/referrals/configuring-your-referral-program/referral-offer.md).
{% endhint %}

#### Suggested custom properties

{% hint style="info" %}
These need to be added as contact properties in HubSpot.
{% endhint %}

* **Referrer email** `referrer_email`
  * Email can be used in a HubSpot workflow to associate the referred lead contact to the referrer contact
* **Referral location** `referral_location`
  * This can either be the location name or the location ID in your membership/POS system
* **Referral sent timestamp** `referral_sent_timestamp`
* **Referral claimed timestamp** `referral_claimed_timestamp`

{% embed url="<https://knowledge.hubspot.com/properties/create-and-edit-properties>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.perkville.com/integrations/integration-reference/hubspot/syncing-perkville-leads.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
